using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework.Sharing
{
    public interface TypeRegisterlike<RegistreeType>
    {
        void Register(RegistreeType registree);
        RegistreeTypeType Get<RegistreeTypeType>() where RegistreeTypeType : RegistreeType;
    }
}
